commit:     0589909da529cbf8cbcb28d0b9e20f2284fbfc91
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 13 06:13:31 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jul 13 06:13:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0589909d

net-p2p/gtk-gnutella: add 1.2.1

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 net-p2p/gtk-gnutella/Manifest                  |  1 +
 net-p2p/gtk-gnutella/gtk-gnutella-1.2.1.ebuild | 88 ++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/net-p2p/gtk-gnutella/Manifest b/net-p2p/gtk-gnutella/Manifest
index 4edc74b84af..077c49b461f 100644
--- a/net-p2p/gtk-gnutella/Manifest
+++ b/net-p2p/gtk-gnutella/Manifest
@@ -1 +1,2 @@
 DIST gtk-gnutella-1.2.0.tar.xz 20467452 BLAKE2B 
8884c74e5c7ba52ce870289579cb26608fd8eb0fff14986fba40e200181e28908aa42c7a345f1c69dd5b1099135b4a0458d266abdf94361cc0a37b8949867322
 SHA512 
8d4da23acce22af42b39ca4af2ee4d250cadea9f8c549d712ffdfb797b53311ce8db9fcb38bc1f5547b7df32e95ebc53676bff1127805e867b23d0598b1fa4cd
+DIST gtk-gnutella-1.2.1.tar.gz 25055800 BLAKE2B 
09f68979bc4df130e2b7b4a78017c2834feab1173d6242fe07856be038b9c671609fee7a7ec270fd6f9592a2fb2bfa0bf8a08472da0f41f6e3dc2dfaafd5ed58
 SHA512 
e53c8e0f7d11f699e9eb77546f3d6ca240ee9fa92e8817af4631250d86714b97eb36fbcd83e46d8429cbd12532c9c9a343a2ba69eba6deda4bc9c5610e98efc8

diff --git a/net-p2p/gtk-gnutella/gtk-gnutella-1.2.1.ebuild 
b/net-p2p/gtk-gnutella/gtk-gnutella-1.2.1.ebuild
new file mode 100644
index 00000000000..da87ae12696
--- /dev/null
+++ b/net-p2p/gtk-gnutella/gtk-gnutella-1.2.1.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit strip-linguas toolchain-funcs
+
+IUSE="nls dbus ssl +gtk"
+
+DESCRIPTION="A GTK+ Gnutella client"
+SRC_URI="https://github.com/gtk-gnutella/gtk-gnutella/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+HOMEPAGE="http://gtk-gnutella.sourceforge.net/";
+
+SLOT="0"
+LICENSE="CC-BY-SA-4.0 GPL-2"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+       sys-libs/binutils-libs:=
+       dev-libs/glib:2
+       sys-libs/zlib
+       gtk? ( >=x11-libs/gtk+-2.2.1:2 )
+       dbus? ( >=sys-apps/dbus-0.35.2 )
+       ssl? ( >=net-libs/gnutls-2.2.5 )
+       nls? ( >=sys-devel/gettext-0.11.5 )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+       strip-linguas -i po
+
+       echo "# Gentoo-selected LINGUAS" > po/LINGUAS
+       for ling in ${LINGUAS}; do
+               echo $ling >> po/LINGUAS
+       done
+
+       default
+}
+
+src_configure() {
+       # There is no option to turn off optimization through the build.sh
+       # script.
+       sed -i -e "s/Configure -Oder/Configure -Oder -Doptimize=none/" build.sh 
|| die
+
+       # The build script does not support the equivalent --enable
+       # options so we must construct the configuration by hand.
+
+       local myconf
+
+       if ! use nls; then
+               myconf="${myconf} --disable-nls"
+       fi
+
+       if ! use dbus; then
+               myconf="${myconf} --disable-dbus"
+       fi
+
+       if ! use ssl; then
+               myconf="${myconf} --disable-gnutls"
+       fi
+
+       if use gtk; then
+               myconf="${myconf} --gtk2"
+       else
+               myconf="${myconf} --topless"
+       fi
+
+       ./build.sh \
+               --configure-only \
+               --prefix="/usr" \
+               --cc=$(tc-getCC) \
+               ${myconf}
+}
+
+src_compile() {
+       # Build system is not parallel-safe, bug 500760
+       emake -j1
+}
+
+src_install() {
+       dodir /usr/bin
+       emake INSTALL_PREFIX="${D}" install
+       dodoc AUTHORS ChangeLog README TODO
+
+       # Touch the symbols file into the future to avoid warnings from
+       # gtk-gnutella later on, since we will most likely strip the binary.
+       touch --date="next minute" "${D}/usr/lib/gtk-gnutella/gtk-gnutella.nm" 
|| die
+}

Reply via email to